<?php 

	class Privilege extends MY_Controller
	{
		public function __construct()
		{
			parent::__construct();
			$this->load->model('group_model');
			$this->load->helper('form');
			$this->load->library('form_validation');
		}
		public function index()
		{
			$menu_list = $this->group_model->get_menu();

			$data['menu_list'] = $menu_list;

			$this->load->view("design/header");
			$this->load->view("group_access/management/adduseraccess", $data);
			$this->load->view("design/footer");
		}

		public function create_privilege()
		{
			$menu_list = $this->group_model->get_menu();

			if($_POST)
			{
				$this->form_validation->set_rules('role', 'Role', 'required');

				if($this->form_validation->run() == FALSE)
				{
					$this->load->view("design/header");
					$this->load->view("dashboard/admin");
					$this->load->view("design/footer");
				}
				else
				{
					$role = $this->input->post('role');
					$rows = $this->group_model->get_last_rows()->row()->group_id;
					$rows++;
					// foreach($rows as $r)
					// {
					// 	$hasil = $r->group_id;
					// 	$hasil++;
					// 	echo $hasil;
					// }
					//$rows = 6;
					$role = array(
						'group_id' => $rows,
						'group_name' => $role
					);

					$result = $this->group_model->add_role($role);

					//redirect('privilege');
					foreach ($menu_list as $menu) 
					{
						$view = "chk_view_".str_replace(" ", "_", $menu->menu_name);
						$update = "chk_update_".str_replace(" ", "_", $menu->menu_name);
						$delete = "chk_delete_".str_replace(" ", "_", $menu->menu_name);
						$report = "chk_report_".str_replace(" ", "_", $menu->menu_name);

						$view2 = $this->input->post($view);
						$update2 = $this->input->post($update);
						$delete2 = $this->input->post($delete);
						$report2 = $this->input->post($report);

						if($view2 == NULL) $view2 = 0;
						if($update2 == NULL) $update2 = 0;
						if($delete2 == NULL) $delete2 = 0;
						if($report2 == NULL) $report2 = 0;

						$access = array(
							'group_id' 		=> $role['group_id'],
							'menu_access' 	=> $menu->menu_name,
							'can_view' 		=> $view2,
							'can_update' 	=> $update2,
							'can_delete'	=> $delete2,
							'can_report'	=> $report2
						);

						$result = $this->group_model->add_role2($access);
					}
					if($result == TRUE)
					{
						redirect('dashboard');
					}
					else
					{
						redirect('privilege');
					}
				}
			}
		}

		public function show_menu($menu_list)
		{
			$menu['menu_name'] = $this->group_model->get_menu();
			
		}
	}
?>