<script type="text/javascript">
  $(function () {
    $('#bank_table').dataTable({
      "ajax": "<?php echo base_url('bank/index'); ?>",
      "bPaginate": true,
      "bLengthChange": false,
      "bFilter": true,
      "bSort": true,
      "bInfo": true,
      "bAutoWidth": false,
      "bLengthChange": true
    });
    $('.datepicker').datepicker({
      "setDate": new Date(),
      "format": 'yyyy-mm-dd',
      "autoclose": true
     });
  });

  function callChange(var_id)
  {
    document.getElementById("title").innerHTML="Edit Products";
    $.ajax({
      url: "<?php echo base_url();?>editproducts/update_products/"+var_id
    }).done(function( html ) {
      $(".modal-body").html(html);
    });
    $('#changeProducts').modal('show');
  }

</script>

<div class="row">
<div class="col-xs-12">
  <div class="box">
    <div class="box-header">
      <h3 class="box-title">Bank List</h3>
    </div><!-- /.box-header -->
    <div class="box-body">
      <?php 
        echo validation_errors('<div class="alert alert-danger"><button class="close" data-dismiss="alert" type="button">×</button>','</div>');
        echo form_open('bank/search_bank/'); 
      ?>
      <div class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label">From Date</label>
            <div class="col-sm-10">
              <input type="text" class="form-control datepicker" id="fromDate " name="fromDate" placeholder="From Date" value="<?php echo set_value('fromDate'); ?>">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">To Date</label>
            <div class="col-sm-10">
              <input type="text" class="form-control datepicker" id="toDate" name="toDate" placeholder="To Date" value="<?php echo set_value('toDate'); ?>">
            </div>
          </div>
          <div class="row">
            <div class="col-xs-12 col-md-5 pull-right">
              <button type="submit" class="btn btn-primary btn-block btn-flat">Search</button>
            </div><!-- /.col -->
          </div>
        </div>
      <?php echo form_close();?>

      <table id="bank_table" class="table table-bordered table-hover">
        <thead>
           <tr>
               <th>ID Transaksi</th>
               <th>ID Account</th>
               <th>Waktu</th>
               <th>ID Category</th>
               <th>Saldo Awal</th>
               <th>Jumlah</th>
               <th>Saldo Akhir</th>
           </tr>
        </thead>
        <?php if (isset($bank_lst)) { ?>
        
          <?php foreach ($bank_lst as $p): ?>

          <tr>
             <td><?php echo $p->IdTransaksi; ?></td>
             <td><?php echo $p->NickName; ?></td>
             <td><?php echo $p->Waktu; ?></td>
             <td><?php echo $p->NamaCategory; ?></td>
             <td><?php echo $p->SaldoAwal; ?></td>
             <td><?php echo $p->Jumlah; ?></td>
             <td><?php echo $p->SaldoAkhir; ?></td>
          </tr>
          <?php endforeach; ?>
        <?php }?>
      </table>
    </div><!-- /.box-body -->
  </div><!-- /.box -->

<div id="changeProducts" class="modal fade">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 id="title" class="modal-title">Edit Products</h4>
      </div>
      <div class="modal-body">

        <!-- <p>One fine body&hellip;</p> -->
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->