<div class="row">
  <div class="col-xs-12">
    <div class="box">
      <div class="box-header">
        <h3 class="box-title">Rollingan Global</h3>
      </div><!-- /.box-header -->
      <div class="box-body">
        <?php 
        echo validation_errors('<div class="alert alert-danger"><button class="close" data-dismiss="alert" type="button">×</button>','</div>');
        echo form_open('bank/search_bank/'); 
        ?>
        <div class="form-horizontal">
          <?php foreach ($operation_max_min as $key=>$c): ?>
            <input type="hidden" name="LatestOperation" value="<?php echo $c->LatestOperation; ?>">
            <input type="hidden" name="EarliestOperation" value="<?php echo $c->EarliestOperation; ?>">
          <?php endforeach; ?>

      <div class="form-group">
        <label class="col-sm-2 control-label">Pilih Agen</label>
        <div class="col-sm-10">
          <div class="col-xs-3">
            <select class="form-control" id="rollingan-global-agen-select">
              <?php if (isset($subagen_lst)) { ?>
                <option selected value='all'>-- SEMUA --</option>
                <?php foreach ($subagen_lst as $key=>$c): ?>
                  <option value="<?php echo $c->IdKasir; ?>"><?php echo $c->Nama; ?></option>
                <?php endforeach; ?>
              <?php }else{?>
                <option disabled selected value='<?php echo $this->session->userdata('loggedIn')['userId'] ?>'><?php echo $this->session->userdata('loggedIn')['username'] ?></option>
              <?php }?>
            </select>
          </div>
          <button type="button" id="search-rollingan-global" class="btn btn-sm btn-success btn-flat "><i class="fa fa-search" aria-hidden="true"></i>
Search</button>
        </div>

      </div>
    </div>

    <div class="row">
      <div class="col-xs-12">
        <table id="rollingan_global_table" class="table table-responsive table-condensed table-bordered table-hover table-striped">
          <thead>
           <tr>
             <th>Nick Name</th>
             <th>Bet</th>
             <th>Win</th>
             <th width="80">Rolling</th>
             <th>Deposit In</th>
             <th>Deposit Out</th>
             <th>Hasil Deposit</th>
             <th>Transfer In</th>
             <th>Transfer Out</th>
             <th>Hasil Transfer</th>
             <th>Saldo Akhir</th>
             <th>Hasil Saldo</th>
           </tr>
         </thead>
         <tbody>
          
         </tbody>
       </table>
       <div style="height: 300px">
          <canvas id="myChart" ></canvas>
       </div>
     </div><!-- /.col -->
   </div>    
 </div>
 <?php echo form_close();?>

</div><!-- /.box-body -->
</div><!-- /.box -->

<div id="rollingan-harian-range-modal" class="modal fade">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
        <h4 id="title" class="modal-title">Edit Products</h4>
      </div>
      <div class="modal-body">
          <div class="row">
          <div class="col-xs-12">
            <div class="box">
              <div class="box-header">
                <h3 class="box-title">Rollingan Player</h3>
              </div><!-- /.box-header -->
              <div class="box-body">

            <div class="row">
              <div class="col-xs-12">
                <table id="modal_rollingan_harian_table" class="table table-bordered table-hover table-striped">
                  <thead>
                   <tr>
                     <th>Nick Name</th>
                     <th>Tipe</th>
                     <th>Agen</th>
                     <th>Credit </br>Akhir</th>
                     <th>Bet</th>
                     <th>Win</th>
                     <th width="80">Rolling</th>
                     <th>Deposit In</th>
                     <th>Deposit Out</th>
                     <th>Hasil Deposit</th>
                     <th>Transfer In</th>
                     <th>Transfer Out</th>
                     <th>Hasil Transfer</th>
                     <th>Saldo Awal</th>
                     <th>Saldo Akhir</th>
                     <th>Hasil Saldo</th>
                     <th>Coin In</th>
                     <th>Coin Out</th>
                     <th>Hasil Coin</th>
                   </tr>
                 </thead>
                 <tbody>
                 </tbody>
               </table>
               <div style="height: 300px">
                  <canvas id="myChart" ></canvas>
               </div>
             </div><!-- /.col -->
           </div>    
          </div>

          </div><!-- /.box-body -->
          </div><!-- /.box -->

        <!-- <p>One fine body&hellip;</p> -->
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
  </div><!-- /.modal -->
